RSS feed

API Update — July 30, 2026

July 30, 2026

Product (1.0.26 → 1.0.27)

Updated from 1.0.26 to 1.0.27 (minor changes).


API Update — July 24, 2026

July 24, 2026

Order (1.0.26 → 1.0.27)

Updated from 1.0.26 to 1.0.27 (minor changes).

Payment (1.0.26 → 1.0.27)

Updated from 1.0.26 to 1.0.27 (minor changes).

Organization (1.0.26 → 1.0.27)

Updated from 1.0.26 to 1.0.27 (minor changes).


API Update — July 23, 2026

July 23, 2026

BFF (1.0.27) — View API

New endpoints:

  • POST /ConnectorTaskRun — Schedules a connector task to start

data-connector-ms (1.0.26)

New endpoints:

  • POST /TaskRun — Runs a connector task immediately.

New schemas:

  • TaskRunDto
  • TaskRunResultItem

API Update — July 17, 2026

July 17, 2026

Communications (1.0.27)

New schemas:

  • UserItem

API Update — July 14, 2026

July 14, 2026

BFF (1.0.27) — View API

Updated from 1.0.27 to 1.0.27 (minor changes).

Communications (1.0.27)

New endpoints:

  • DELETE /DeleteCommentById/{labelId}/{id} — Deletes a Comment
  • POST /Add/{labelId} — Creates a Comment
  • POST /Search/{labelId} — Retrieves the Comments of one object
  • PUT /Update/{labelId}/{id} — Updates a Comment

Removed endpoints:

  • DELETE /Comment/{labelId}/{id} — Deletes a Comment
  • POST /Comment/Search/{labelId} — Retrieves the Comments of one object
  • POST /Comment/{labelId} — Creates a Comment
  • PUT /Comment/{labelId}/{id} — Updates a Comment

API Update — July 13, 2026

July 13, 2026

User (1.0.26)

Updated version 1.0.26. Removed spec files:

  • MicroService-User-1.0.0-oas3.yaml

Investor (1.0.26)

Updated version 1.0.26. Removed spec files:

  • Microservice-Investor-2.0.0-oas3.yaml
  • Microservice-Investor-2.0.1.yaml

BFF (1.0.27) — View API

Updated version 1.0.27. Removed spec files:

  • backoffice-bff-1.0.19-versioning.yaml

Communications (1.0.27)

Updated version 1.0.27. Removed spec files:

  • subject-communications-ms-1.0.24-dev-day.yaml
  • subject-communications-ms-2.0.0-oas3.yaml
  • subject-communications-ms-2.0.1.yaml

API Update — July 13, 2026

July 13, 2026

BFF (1.0.27) — View API

Updated from 1.0.27 to 1.0.27 (minor changes).

Communications (2.0.1)

Updated version 2.0.1.


API Update — July 10, 2026

July 10, 2026

BFF (1.0.26 → 1.0.27) — View API

New endpoints:

  • DELETE /CommentDeleteById/{labelId}/{id} — Deletes a Comment
  • POST /CommentAdd/{labelId} — Creates a Comment on an object
  • POST /CommentSearch/{labelId} — Lists the Comments of one object
  • PUT /CommentUpdate/{labelId}/{id} — Updates own Comment

History (1.0.26 → 1.0.27)

Updated from 1.0.26 to 1.0.27 (minor changes).

Communications (2.0.1)

Updated version 2.0.1.


API Update — July 9, 2026

July 9, 2026

BFF (1.0.26) — View API

New endpoints:

  • GET /ConnectorConfigurationGetById/{labelId}/{configurationId} — Gets a single connector configuration by Id
  • POST /ConnectorConfigurationAdd — Adds a connector configuration to a Label
  • POST /ConnectorConfigurationSearch — Returns all connector configurations based on the SearchQuery
  • POST /ConnectorConfigurationUpdate — Updates a connector configuration on a Label

data-connector-ms (1.0.26)

New version 1.0.26.


API Update — July 7, 2026

July 7, 2026

BFF (1.0.26) — View API

Modified endpoints:

  • GET /OrganizationGetById/{type}/{organizationId} — added parameter(s): aggregationOptions
  • GET /Organizations/{type} — added parameter(s): aggregationOptions

API Update — July 1, 2026

July 1, 2026

Investor (2.0.1)

Updated version 2.0.1.

BFF (1.0.26) — View API

New endpoints:

  • POST /UserAdd — DEPRECATED! Will be REMOVED soon. Use UserAdd_v2.
  • PUT /CashUpdate — DEPRECATED! Will be REMOVED soon. Upgrade to CashUpdate_v2.
  • PUT /ContractUpdate — DEPRECATED! Will be REMOVED soon. Use ContractUpdate_v2.
  • PUT /UserUpdate — DEPRECATED! Will be REMOVED soon. Use UserUpdate_v2.

Modified endpoints:

  • GET /CostPlans/{labelId} — summary changed
  • POST /CostPlanAdd — summary changed
  • PUT /CostPlanUpdate — summary changed

API Update — June 30, 2026

June 30, 2026

User (1.0.26)

Updated from 1.0.26 to 1.0.26 (minor changes).


API Update — June 26, 2026

June 26, 2026

Tax NLD (1.0.26)

New schemas:

  • ApprovalSettingsItem
  • LabelSettingsEventPayload
  • LabelSettingsItem
  • TransactionOperationCommitPayload
  • TransactionOperationCommitResultPayload
  • TransactionOperationUpdateStateEnum

API Update — June 22, 2026

June 22, 2026

BFF (1.0.26) — View API

Updated from 1.0.26 to 1.0.26 (minor changes).

Tax NLD (1.0.26)

New schemas:

  • ApprovalChangeLogItem

API Update — June 19, 2026

June 19, 2026

User (1.0.26)

New endpoints:

  • DELETE /DeleteById/{userId} — Deletes a certain user by Id.
  • DELETE /v2/DeleteById/{organizationId}/{userId} — Deletes a certain user by Id.
  • GET /GetById/{userId} — Gets a certain user by Id.
  • GET /v2/GetById/{organizationId}/{userId} — Gets a certain user by Id.

Removed endpoints:

  • DELETE /DeleteById/{organizationId}/{userId} — Deletes a certain user by Id.
  • GET /GetById/{organizationId}/{userId} — Gets a certain user by Id.

BFF (1.0.26) — View API

New endpoints:

  • DELETE /UserDeleteById/{userId} — Deletes an UserItem
  • DELETE /v2/UserDeleteById/{organizationId}/{userId} — Deletes an UserItem
  • GET /UserGetById/{userId} — Returns an UserAggregatorItem by ID
  • GET /v2/UserGetById/{organizationId}/{userId} — Returns an UserAggregatorItem by ID

Removed endpoints:

  • DELETE /UserDeleteById/{organizationId}/{userId} — Deletes an UserItem
  • GET /UserGetById/{organizationId}/{userId} — Returns an UserAggregatorItem by ID

API Update — June 10, 2026

June 10, 2026

Product (1.0.26)

Removed endpoints:

  • POST /AddContract — Adds a contract.
  • PUT /UpdateContract — Updates an existing contract.

BFF (1.0.26) — View API

Removed endpoints:

  • GET /InvestorAccountGetById/{labelId}/{investorAccountId} — Please use /InvestmentAccountGetById. Will be removed in Swagger v25. Gets all the relative information for investor
  • GET /InvestorAccounts/{labelId} — Use /InvestmentAccounts POST for SearchQueries. Will be removed in v25. Returns all InvestorAccountAggregatedItems based on the query parameters
  • GET /Orders/{labelId} — Use Orders POST for SearchQueries. Will be removed in v25. Returns all OrderBaseAggregatedItems based on the query parameters
  • POST /ContractAdd — Creates & Returns a ContractAggregatedItem
  • POST /UserAdd — Creates & Returns an UserAggregatorItem
  • PUT /CashUpdate — Updates & Returns a CashAggregatedItem
  • PUT /ContractUpdate — Updates & Returns a ContractAggregatedItem
  • PUT /UserUpdate — Updates & Returns an UserAggregatorItem

API Update — June 9, 2026

June 9, 2026

Investor (2.0.1)

Updated version 2.0.1.

BFF (1.0.26) — View API

New endpoints:

  • GET /EmployerArrangementGetById/{labelId}/{id} — Returns an EmployerArrangementAggregatedItem by ID
  • POST /EmployerArrangementAdd — Creates & Returns an EmployerArrangementAggregatedItem
  • POST /EmployerArrangements/{labelId} — Searches EmployerArrangements
  • PUT /EmployerArrangementUpdate — Updates & Returns an EmployerArrangementAggregatedItem

API Update — June 8, 2026

June 8, 2026

Order (1.0.26)

New schemas:

  • OrderCostCollectionItem

Product (1.0.26)

Updated from 1.0.26 to 1.0.26 (minor changes).

BFF (1.0.26) — View API

New endpoints:

  • GET /CommunicationGetReferenceById/{labelId}/{referenceId} — Returns a CommunicationCollectionItem by reference

Report (1.0.26)

New schemas:

  • CashItem
  • CashOwnerType
  • DocumentItem
  • MarketDayItem
  • RelationItem
  • RelationTypeEnum

Removed schemas:

  • MarketDayItemTradingType

API Update — June 8, 2026

June 8, 2026

Reference Value (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Ledger (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Order (1.0.25 → 1.0.26)

Removed schemas:

  • OrderCostCollectionItem

User (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Investor (2.0.1)

Updated version 2.0.1.

Asset (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Product (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

BFF (1.0.25 → 1.0.26) — View API

Removed endpoints:

  • GET /CommunicationGetReferenceById/{labelId}/{referenceId} — Returns a CommunicationCollectionItem by reference

Payment (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Cash (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Approval (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

History (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Performance (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Report (1.0.25 → 1.0.26)

New schemas:

  • MarketDayItemTradingType

Removed schemas:

  • CashItem
  • CashOwnerType
  • DocumentItem
  • MarketDayItem
  • RelationItem
  • RelationTypeEnum

Fund Administration (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Sequence Bridge (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Communications (2.0.1)

Updated version 2.0.1.

Documents (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Organization (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).

Tax NLD (1.0.25 → 1.0.26)

Updated from 1.0.25 to 1.0.26 (minor changes).


API Update — June 5, 2026

June 5, 2026

BFF (1.0.25) — View API

New endpoints:

  • GET /CommunicationGetReferenceById/{labelId}/{referenceId} — Returns a CommunicationCollectionItem by reference

API Update — June 3, 2026

June 3, 2026

Product (1.0.25)

Updated from 1.0.25 to 1.0.25 (minor changes).


API Update — June 1, 2026

June 1, 2026

Report (1.0.25)

New schemas:

  • CashItem
  • DocumentItem
  • RelationItem

API Update — May 28, 2026

May 28, 2026

Order (1.0.25)

New schemas:

  • OrderCostCollectionItem

API Update — May 19, 2026

May 19, 2026

Order (1.0.25)

New schemas:

  • RebalanceCalculationPayload

Removed schemas:

  • RebalanceCalculationEventPayload

Product (1.0.25)

New schemas:

  • InvestorAccountStatusEnum

API Update — May 18, 2026

May 18, 2026

History (1.0.25)

New schemas:

  • RelationItem

API Update — May 12, 2026

May 12, 2026

Sequence Bridge (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).


API Update — May 8, 2026

May 8, 2026

Investor (2.0.1)

Updated version 2.0.1.

BFF (1.0.25) — View API

New endpoints:

  • POST /Relations/{labelId} — Searches Relations
  • POST /v2/RelationAdd — Creates & Returns a RelationAggregatedItem
  • PUT /v2/RelationUpdate — Updates & Returns an RelationAggregatedItem

API Update — May 7, 2026

May 7, 2026

Product (1.0.25)

New endpoints:

  • GET /CostRecordById/{labelId}/{costRecordId} — Retrieves a CostRecord by Id
  • POST /CostRecordAdd — Manually creates a cost record
  • POST /CostRecords — Searches CostRecords
  • PUT /CostRecordBlock — Blocks a pending CostRecord from collection
  • PUT /CostRecordCorrection — Corrects the amount of a pending CostRecord
  • PUT /CostRecordRetry — Retries to collect an invalid CostRecord
  • PUT /CostRecordReverse — Reverts a previously collected CostRecord
  • PUT /CostRecordUnblock — Unblocks a blocked CostRecord so that it can be collected

New schemas:

  • CostRecordAddDto
  • CostRecordBlockDto
  • CostRecordCorrectionDto
  • CostRecordItem
  • CostRecordPagedData
  • CostRecordReference
  • CostRecordReferenceType
  • CostRecordRetryDto
  • CostRecordReverseDto
  • CostRecordStatus
  • CostRecordStatusReason
  • CostRecordUnblockDto
  • JournalEntryItem

BFF (1.0.25) — View API

New endpoints:

  • GET /CostRecordGetById/{labelId}/{costRecordId} — Returns a CostRecordAggregatedItem by ID
  • POST /CostRecordAdd — Manually creates a CostRecord for an InvestmentAccount
  • POST /CostRecords — Returns CostRecords based on the searchQuery
  • PUT /CostRecordBlock — Blocks a pending CostRecord from collection
  • PUT /CostRecordCorrection — Corrects the amount of a pending CostRecord
  • PUT /CostRecordRetry — Retries to collect an invalid CostRecord
  • PUT /CostRecordReverse — Reverts a previously collected CostRecord
  • PUT /CostRecordUnblock — Unblocks a blocked CostRecord so that it can be collected

API Update — May 6, 2026

May 6, 2026

Cash (1.0.24 → 1.0.25)

New endpoints:

  • GET /GetByOwnerId/{labelId}/{ownerType}/{ownerId} — Gets a certain cash by OwnerId & OwnerType.

API Update — May 6, 2026

May 6, 2026

Reference Value (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).

Ledger (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).

Order (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).

User (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).

Investor (2.0.1)

Updated version 2.0.1.

Asset (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).

Payment (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).

Performance (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).

Report (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).

Fund Administration (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).

Communications (2.0.1)

Updated version 2.0.1.

Documents (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).

Tax NLD (1.0.24 → 1.0.25)

Updated from 1.0.24 to 1.0.25 (minor changes).


March Release — BFF & IDS 1.1.0

March 28, 2026

Spring release. BFF and IDS promoted to 1.1.0 across all environments.

BFF

  • Added /health endpoint
  • Improved token refresh retry logic

IDS (Identity Server)

  • Upgraded to IdentityServer 7
  • Fixed claim mapping for external providers

End-of-Year Update — BFF & IDS 1.0.24

December 27, 2025

End-of-year update. BFF and IDS bumped to 1.0.24 in dev and test.

BFF

IDS (Identity Server)


December Release — BFF & IDS 1.0.23

December 3, 2025

Initial December release. BFF and IDS promoted to 1.0.23 in acc and prod environments.

BFF

IDS (Identity Server)



Back to top

© 2026 Pengine.